<!DOCTYPE html>
<html lang="ru">

  <head>
    <meta charset="utf-8">
    <meta name="generator" content="GitLab Pages">
    <title>index</title>
    <link rel="stylesheet" href="style.css">
  </head>

  <body>

    <header>
      <div>
        <img src="image.png" alt="Логотип (для скрин-ридеров)." class="logo">
        <h1>Задание №2</h1>
      </div>
    </header>

    <nav>
      <a href="#list">Список гиперссылок.</a>
      <a href="#table">Таблица.</a>
      <a href="#keks">Форма.</a>
    </nav>

    <div id="list">
      <ol>
        <li><a href="http://example.com/">Гиперссылка на example.com, протокол http.</a></li>
        <li><a href="https://example.com/">Гиперссылка на example.com, протокол https.</a></li>
        <li><a href="ftp://ftp.intel.com/">Гиперссылка на папку на ftp сервере без авторизации.</a></li>
        <li> <a href="ftp://user:password@ftp.intel.com">Гиперссылка на папку на ftp сервере с авторизацией.</a></li>
        <li><a href="https://ru.stackoverflow.com#recent-tags-list">Гиперссылка на StackOverflow к фрагменту с метками (с правой стороны).</a></li>
        <li><a href="#keks">Ссылка на фрагмент текущей страницы (форма).</a></li>
        <li><a href="https://3dtoday.ru/3d-printers/anycubic/">Гиперссылка с двумя параметрами в URL.</a></li>
        <li>
          Список гиперссылок основной навигации по сайту с подписями title:
          <ul>
            <li><a href="index.html" title="Гиперссылка на главную страницу сайта.">Главная страница.</a></li>
            <li><a href="inside/inside.html" title="Гиперссылка на внутреннюю страницу сайта">Внутренняя страница</a></li>
          </ul>
        </li>
        <li><a>Гиперссылка без href.</a></li>
        <li><a href="">Гиперссылка с пустым href.</a></li>
        <li><a href="https://3dtoday.ru/" rel="nofollow">Гиперссылка, по которой запрещен переход поисковикам.</a></li>
        <li><!--noindex--><a href="https://3dtoday.ru/">Гиперссылка, запрещенная для индексации поисковиками.</a></li>
        <li>Это контекстная <a href="https://www.kubsu.ru/ru/">гиперссылка на официальный сайт КубГУ</a>, вот.</li>
        <li><a href="https://3dtoday.ru/blogs/cvetmir3d/obzor-luchshego-byudzhetnogo-lcd-3d-printera-anycubic-photon-s"><img src="https://cdn.shopify.com/s/files/1/0245/5519/2380/files/PHOTON-S-01_b5b36893-9962-4642-9e27-4b27198a2d8d.jpg?v=1574730406" width="480" height="200" alt="Изображение с 3D принтером Anycubic Photon S."></a></li>
        <li>
          Ссылки из прямоугольной и круглой областей картинки.<br>
          <img src="https://allforchildren.ru/games/img/8-10.gif" width="400" height="200" alt="Картинка с кругом и квадратом." usemap="#figure">
          <map name="figure">
            <area shape="circle" coords="96,96,85" href="https://ru.wikipedia.org/wiki/Круг" alt="Круг." title="Что это за фигура?">
            <area shape="rect" coords="218,17,386,183" href="https://ru.wikipedia.org/wiki/Квадрат" alt="Квадрат." title="А это что за фигура?">
          </map>
        </li>
        <li><a href="index2.html">Относительная ссылка на страницу в текущем каталоге.</a></li>
        <li><a href="about/about.html">Относительная ссылка на страницу в каталоге about.</a></li>
        <li><a href="../up.html">Относительная ссылка на страницу в каталоге уровнем выше текущего.</a></li>
        <li><a href="../../upup.html">Относительная ссылка на страницу в каталоге двумя уровнями выше текущего.</a></li>
        <li><a href="/index.html">Сокращенная ссылка на главную страницу.</a></li>
        <li><a href="/inside/inside.html">Сокращенная ссылка на внутреннюю страницу.</a></li>
      </ol>
    </div>

    <div id="table">
      <h2>Таблица</h2>
      <table>
        <tr id="t1">
          <th> Колонка 1. </th>
          <th> Колонка 2. </th>
          <th> Колонка 3. </th>
        </tr>
        <tr id="t2">
          <td colspan="3"> 3 ячейки. </td>
        </tr>
        <tr id="t3">
          <td colspan="2"> 2 ячейки. </td>
          <td> 2/3 </td>
        </tr>
        <tr id="t4">
          <td> 3/1 </td>
          <td colspan="2"> 2 ячейки. </td>
        </tr>
        <tr id="t5">
          <td> 4/1 </td>
          <td> 4/2 </td>
          <td> 4/3 </td>
        </tr>
        <tr id="t6">
          <td> 5/1 </td>
          <td> 5/2 </td>
          <td> 5/3 </td>
        </tr>
      </table>
    </div>

    <div id="form">
      <h2>Форма.</h2>
      <form action="http://example.com">
        Имя:<br>
        <input type="text" name="name"><br>
        E-male:<br>
        <input type="email" name="email"><br>
        Дата рождения:<br>
        <input type="date" name="day"><br>
        Пол:<br>
        <input type="radio" name="sex"> Мужской
        <input type="radio" name="sex"> Женский<br>
        Количество коненостей:<br>
        <input type="radio" name="limb"> 0
        <input type="radio" name="limb"> 1
        <input type="radio" name="limb"> 2
        <input type="radio" name="limb"> 3
        <input type="radio" name="limb"> 4
        <input type="radio" name="limb"> 5
        <input type="radio" name="limb"> 6
        <input type="radio" name="limb"> 7
        <input type="radio" name="limb"> 8
        <input type="radio" name="limb"> 9
        <input type="radio" name="limb"> 10<br>
        Сверхспособности:<br>
        <select name="superpowers" multiple="multiple">
          <option value="immortality">Бессмертие</option>
          <option value="intangibility">Прохождение сквозь стены</option>
          <option value="levitation">Левитация</option>
          <option value="understanding">Способность представить 6-ти мерное пространство</option>
        </select><br>
        Биография:<br>
        <textarea name="biography"></textarea><br>
        <input type="checkbox" name="agree">С контрактом ознакомлен.<br>
        <input type="submit" value="Отправить">
      </form>
    </div>

    <footer>
      <h2>(c) Дмитрий Щербин</h2>
    </footer>
  </body>
</html>